{
  "criteria": {
    "use_item": {
      "trigger": "minecraft:player_interacted_with_entity",
      "conditions": {
        "item": {
          "items": "minecraft:lead"
        },
        "entity": {
          "type": "#overly_realistic:boats"
        }
      }
    }
  },
  "requirements": [
    [
      "use_item"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/items/lead/lead_boats/lead_boats"
  }
}